Bug 185714 - dns/ddclient: Update to version 3.8.2
Summary: dns/ddclient: Update to version 3.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-12 18:40 UTC by tkato432
Modified: 2014-01-19 02:10 UTC (History)
0 users

See Also:


Attachments
file.diff (6.42 KB, patch)
2014-01-12 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-12 18:40:09 UTC
- Update to version 3.8.2

Remove file:
pkg-plist
Comment 1 Danilo Egea Gondolfo freebsd_committer 2014-01-16 20:44:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2014-01-19 02:04:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-01-19 02:04:30 UTC
Author: danilo
Date: Sun Jan 19 02:04:22 2014
New Revision: 340227
URL: http://svnweb.freebsd.org/changeset/ports/340227
QAT: https://qat.redports.org/buildarchive/r340227/

Log:
  - Update from 3.8.1 to 3.8.2
  - Add stage support
  - Use options helpers
  - Use PLIST_FILES instead of pkg-plist
  
  PR:		ports/185714
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/dns/ddclient/pkg-plist
Modified:
  head/dns/ddclient/Makefile
  head/dns/ddclient/distinfo
  head/dns/ddclient/files/patch-ddclient

Modified: head/dns/ddclient/Makefile
==============================================================================
--- head/dns/ddclient/Makefile	Sun Jan 19 01:16:21 2014	(r340226)
+++ head/dns/ddclient/Makefile	Sun Jan 19 02:04:22 2014	(r340227)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ddclient
-PORTVERSION=	3.8.1
-PORTREVISION=	1
+PORTVERSION=	3.8.2
 CATEGORIES=	dns
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
@@ -12,51 +11,48 @@ COMMENT=	Update dynamic DNS entries
 
 LICENSE=	GPLv2
 
+NO_BUILD=	yes
+
 USE_BZIP2=	yes
 USES=		perl5
 USE_PERL5=	run
-NO_BUILD=	yes
+
 USE_RC_SUBR=	${PORTNAME}
 
+SUB_FILES=	pkg-message ddclient_force
+
 OPTIONS_DEFINE=	SSL
 OPTIONS_DEFAULT=SSL
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MSSL}
-RUN_DEPENDS+=	p5-IO-Socket-SSL>=0:${PORTSDIR}/security/p5-IO-Socket-SSL
-.endif
-
-SUB_FILES=	pkg-message ddclient_force
-PKGMESSAGE=	${WRKDIR}/pkg-message
+SSL_RUN_DEPENDS=ca_root_nss>0:${PORTSDIR}/security/ca_root_nss \
+		p5-IO-Socket-SSL>0:${PORTSDIR}/security/p5-IO-Socket-SSL
 
-PORTDOCS=	COPYING COPYRIGHT Changelog README README.cisco README.ssl \
+PORTDOCS=	COPYRIGHT Changelog README.cisco README.ssl README.md \
 		sample-etc_cron.d_ddclient sample-etc_dhclient-exit-hooks \
 		sample-etc_dhcpc_dhcpcd-eth0.exe sample-etc_ppp_ip-up.local
+PLIST_FILES=	etc/ddclient.conf.sample etc/periodic/daily/ddclient_force \
+		sbin/ddclient
+PLIST_DIRSTRY=	etc/periodic/daily etc/periodic
 
 post-patch:
-	@${GREP} -lr '/usr' ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} -e 's|/usr|${PREFIX}|g'
-	@${REINPLACE_CMD} \
-		-e 's|/tmp|/var/tmp|' \
-		-e 's|/var/cache/ddclient|/var/tmp|' \
-		-e '/PATH/s|/etc:/usr/local/lib:||' \
-		-e 's|/usr.*perl|${PERL}|g' \
-		-e 's|/usr/local|${LOCALBASE}|g' \
-		-e 's|/etc/ddclient|${PREFIX}/etc|' \
-		${WRKSRC}/ddclient
+	@${GREP} -lR '/usr' ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} -e \
+		's|/usr|${PREFIX}|g'
+	@${REINPLACE_CMD} -e \
+		's|%%PERL%%|${PERL}| ; \
+		 s|%%ETCDIR%%|${ETCDIR}| ; \
+		 s|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/ddclient
 
 do-install:
-	@${INSTALL_DATA} ${WRKSRC}/sample-etc_ddclient.conf ${PREFIX}/etc/ddclient.conf.sample
-	@${INSTALL_SCRIPT} ${WRKSRC}/ddclient ${PREFIX}/sbin/
-.if ${PORT_OPTIONS:MDOCS}
-	@${INSTALL} -d ${DOCSDIR}
-	@${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
-.endif
-
-post-install:
-	${MKDIR} ${PREFIX}/etc/periodic/daily
-	${INSTALL_SCRIPT} ${WRKDIR}/ddclient_force ${PREFIX}/etc/periodic/daily/ddclient_force
-	@${CAT} ${PKGMESSAGE}
+	(cd ${WRKSRC} && ${INSTALL_DATA} sample-etc_ddclient.conf \
+		${STAGEDIR}${PREFIX}/etc/ddclient.conf.sample)
+	(cd ${WRKSRC} && ${INSTALL_SCRIPT} ddclient \
+		${STAGEDIR}${PREFIX}/sbin)
+	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/periodic/daily
+	(cd ${WRKDIR} && ${INSTALL_SCRIPT} ddclient_force \
+		${STAGEDIR}${PREFIX}/etc/periodic/daily/ddclient_force)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for i in ${PORTDOCS}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
+.endfor
 
 .include <bsd.port.mk>

Modified: head/dns/ddclient/distinfo
==============================================================================
--- head/dns/ddclient/distinfo	Sun Jan 19 01:16:21 2014	(r340226)
+++ head/dns/ddclient/distinfo	Sun Jan 19 02:04:22 2014	(r340227)
@@ -1,2 +1,2 @@
-SHA256 (ddclient-3.8.1.tar.bz2) = 77a82668a53fdbed1e05ad6febe6dbefb093e3922afb20b993d4ad9ee868258f
-SIZE (ddclient-3.8.1.tar.bz2) = 43711
+SHA256 (ddclient-3.8.2.tar.bz2) = f343d2297b97b769949d4d6c3f603a8c52433acf2104245538808a2ea003ed5e
+SIZE (ddclient-3.8.2.tar.bz2) = 41996

Modified: head/dns/ddclient/files/patch-ddclient
==============================================================================
--- head/dns/ddclient/files/patch-ddclient	Sun Jan 19 01:16:21 2014	(r340226)
+++ head/dns/ddclient/files/patch-ddclient	Sun Jan 19 02:04:22 2014	(r340227)
@@ -1,19 +1,43 @@
 --- ./ddclient.orig	2011-07-25 19:41:39.000000000 -0700
 +++ ./ddclient	2011-07-25 19:41:48.000000000 -0700
-@@ -1,4 +1,3 @@
+@@ -1,5 +1,4 @@
 -#!/usr/bin/perl -w
- #!/usr/local/bin/perl -w
+-#!/usr/local/bin/perl -w
++#!%%PERL%% -w
  ######################################################################
- # $Id: ddclient 130 2011-07-11 21:02:07Z wimpunk $
+ # $Id: ddclient 157 2013-12-26 09:02:05Z wimpunk $
+ #
 @@ -19,6 +18,7 @@
  use Getopt::Long;
  use Sys::Hostname;
  use IO::Socket;
 +use POSIX 'setsid';
  
- my ($VERSION) = q$Revision: 130 $ =~ /(\d+)/;
+ my ($VERSION) = q$Revision: 157 $ =~ /(\d+)/;
  
-@@ -668,6 +668,9 @@
+@@ -29,9 +29,9 @@
+ $program  =~ s/d$//;
+ my $now       = time;
+ my $hostname  = hostname();
+-my $etc       = ($program =~ /test/i) ? './'   : '/etc/ddclient/';
+-my $cachedir  = ($program =~ /test/i) ? './'   : '/var/cache/ddclient/';
+-my $savedir   = ($program =~ /test/i) ? 'URL/' : '/tmp/';
++my $etc       = ($program =~ /test/i) ? './'   : '%%ETCDIR%%/';
++my $cachedir  = ($program =~ /test/i) ? './'   : '/var/tmp/';
++my $savedir   = ($program =~ /test/i) ? 'URL/' : '/var/tmp/';
+ my $msgs      = '';
+ my $last_msgs = '';
+ 
+@@ -39,7 +39,7 @@
+ local $file   = '';
+ local $lineno = '';
+ 
+-$ENV{'PATH'} = (exists($ENV{PATH}) ? "$ENV{PATH}:" : "") . "/sbin:/usr/sbin:/bin:/usr/bin:/etc:/usr/lib:";
++$ENV{'PATH'} = (exists($ENV{PATH}) ? "$ENV{PATH}:" : "") . "/sbin:/usr/sbin:/bin:";
+ 
+ sub T_ANY	{'any'};
+ sub T_STRING	{'string'};
+@@ -678,6 +678,9 @@
      ;
  } elsif (opt('daemon')) {
      $SIG{'CHLD'}   = 'IGNORE';
@@ -23,7 +47,7 @@
      my $pid = fork;
      if ($pid < 0) {
  	print STDERR "${program}: can not fork ($!)\n";
-@@ -675,10 +678,9 @@
+@@ -685,10 +688,9 @@
      } elsif ($pid) {
  	exit 0;
      }
@@ -36,7 +60,7 @@
  }
  
  # write out the pid file if we're daemon'ized
-@@ -1463,17 +1465,17 @@
+@@ -1478,17 +1480,17 @@
      ## execute the command.
      local *FD;
      if (! open(FD, $cmd)) {
@@ -58,3 +82,11 @@
  
      } else {
  	$ok = 1;
+@@ -1878,6 +1880,7 @@
+ 	    $sd = IO::Socket::SSL->new(
+             PeerAddr => $peer,
+             PeerPort => $port,
++            SSL_ca_file => '%%LOCALBASE%%/share/certs/ca-root-nss.crt',
+             Proto => 'tcp',
+             MultiHomed => 1,
+             Timeout => opt('timeout'),
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"